[Twisted-Python] Will twisted be using generators new in Python 2.3?

Bob Ippolito bob at redivi.com
Mon Feb 10 19:33:54 EST 2003

On Monday, Feb 10, 2003, at 18:56 America/New_York, Dmitry Litovchenko 

> i.e. will we simplify our life by using generators from Python 2.3, I
> thought of that already but currently have Twisted windows binaries
> only for Python 2.2.

We've been over this one before.  Although generators have been in 
__future__ for all of 2.2, Twisted can't use generators so long as we 
need to support 2.1.  As far as I know, we need to have full support 
for 2.1 as long as Zope requires it.


More information about the Twisted-Python mailing list